Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84722 - Error on firstboot causing traceback
Summary: Error on firstboot causing traceback
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: firstboot
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-20 21:27 UTC by Todd Booher
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-24 18:46:51 UTC


Attachments (Terms of Use)

Description Todd Booher 2003-02-20 21:27:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3a)
Gecko/20021207 Phoenix/0.5

Description of problem:
On the first boot of a phoebe beta 3 clean install a traceback
error is caused during the filling out of information on the initial
screen.  The error happens after filling out the new user from and
clicking on the 'next' button.  A similar error was seen in beta 2.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install phoebe.
2.On first boot, begin filling out new user info to create a non-root account.
3.As you hit next, the error pops up with the traceback.
    

Actual Results:  Traceback error

Expected Results:  Completion of non-root user creation.

Additional info:

Traceback:

Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 317, in nextClicked
    result = module.apply(self.notebook)
  File "/usr/share/firstboot/modules/create_user.py", line 120, in apply
    if not self.isUsernameOk(username, self.usernameEntry):
  File "/usr/share/firstboot/modules/create_user.py", line 228, in isUsernameOk
    messageDialog.showErrorMessage(_("The user name '%s' contains uppercase
characters.  "
NameError: global name 'messageDialog' is not defined

Comment 1 Brent Fox 2003-02-20 22:33:20 UTC
I didn't see it reported against beta 2.  Anyway, it should be fixed with
firstboot-1.0.5-7.  QA, please verify.

Comment 2 Mike McLean 2003-02-24 18:46:29 UTC
confirmed. No problems creating users with firstboot.


Note You need to log in before you can comment on or make changes to this bug.